Package org.eclipse.mat.query.registry

# Class QueryObjectLink

java.lang.Object
org.eclipse.mat.query.registry.QueryObjectLink

public final class QueryObjectLink extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`QueryObjectLink.Type`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`PROTOCOL`

## Constructor Summary

Constructors
Constructor
Description
`QueryObjectLink(QueryObjectLink.Type type, String target)`

## Method Summary

Modifier and Type
Method
Description
`static final String`
`forDetailResult(DetailResultProvider provider, String identifier)`
`static final String`
`forObject(String identifier)`
`static final String`
`forQuery(String query)`
`static final String`
`forType(QueryObjectLink.Type type, String target)`
`String`
`getTarget()`
`QueryObjectLink.Type`
`getType()`
`String`
`getURL()`
`static QueryObjectLink`
`parse(String url)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### PROTOCOL

public static final String PROTOCOL

See Also:
  - Constant Field Values

## Constructor Details

### QueryObjectLink

public QueryObjectLink(QueryObjectLink.Type type, String target)

## Method Details

### getType

public QueryObjectLink.Type getType()

### getTarget

public String getTarget()

### getURL

public String getURL()

### forQuery

public static final String forQuery(String query)

### forObject

public static final String forObject(String identifier)

### forDetailResult

public static final String forDetailResult(DetailResultProvider provider, String identifier)

### forType

public static final String forType(QueryObjectLink.Type type, String target)

### parse

public static QueryObjectLink parse(String url)

Parameters:
  `url` - The String representation of a Memory Analyzer URL, starting mat://
Returns:
  null if the URL does not present a proper Memory Analyzer Object otherwise an internal MAT representation of the URL.